---
layout: page
title: "10. Worksets"
section: 10
---

Worksets provide a way of grouping samples, libraries, and dilutions so that they are easy to find and select when you
want to work with them again.

{% assign sub = 1 %}
{% include userman-heading.md section=page.section sub=sub title="Worksets List" %}

To get to the Worksets list page, click "Worksets" in the Tracking list in the menu on the left side of the screen. The
Worksets list page is divided into two tabs. The "Mine" tab includes only the worksets that you created. The "All" tab
includes all worksets created by anyone. The toolbar at the top of the table contains controls for working with
worksets.

{% include userman-toplink.md %}



{% assign sub = sub | plus: 1 %}
{% include userman-heading.md section=page.section sub=sub title="Creating Worksets" %}

To create a new empty workset, go to the Worksets list and click the "Add" button in the toolbar at the top of the
table. This will take you to the Create Workset page. Enter an alias and description for the new workset and click the
"Save" button at the top right.

You can also create a new workset from a selection of items on the Samples, Libraries, or Dilutions lists. On any of
these lists, select the items that you would like to include in a new workset and click the "Add to Workset" button in
the toolbar at the top of the table. In the dialog that appears, choose "New Workset." Enter an alias and description
for the new workset and click the "Create" button.

{% include userman-toplink.md %}



{% assign sub = sub | plus: 1 %}
{% include userman-heading.md section=page.section sub=sub title="Editing Worksets" %}

To get to the Edit Workset page, click the workset's alias on the Worksets list. On this page, you can modify the
workset's alias and description. Be sure to click the "Save" button at the top right to confirm any changes.

On the Edit Workset page, you can also see and work with all of the items contained in the workset as described below.

{% include userman-toplink.md %}



{% assign sub = sub | plus: 1 %}
{% include userman-heading.md section=page.section sub=sub title="Working with Items in a Workset" %}

The Edit Workset page contains Samples, Libraries, and/or Dilutions lists, depending on what you've added to the
workset. These lists function the same as other Samples, Libraries, and Dilutions lists, so the same options for
working with these items are available in the toolbars at the top of each table.

{% include userman-toplink.md %}



{% assign sub = sub | plus: 1 %}
{% include userman-heading.md section=page.section sub=sub title="Adding Items to a Workset" %}

Samples, libraries, and dilutions can be added to worksets. To add any of these items, go to the respective list page,
select the items that you wish to add to the workset, and click the "Add to Workset" button in the toolbar at the top
of the table. In the dialog that appears, select "Existing Workset." Enter the alias of the workset you'd like to add
the items to and click the "Search" button. In the search results, click the alias of the workset that you'd like to
add the items to.

{% include userman-toplink.md %}



{% assign sub = sub | plus: 1 %}
{% include userman-heading.md section=page.section sub=sub title="Removing Items from a Workset" %}

You can remove items from a workset on the Edit Workset page. Select the items you wish to remove on the Samples,
Libraries, or Dilutions list, then click the "Remove from Workset" button in the toolbar at the top of the table.
In the dialog that appears, click the "Remove" button to confirm the removal.

{% include userman-toplink.md %}



{% assign sub = sub | plus: 1 %}
{% include userman-heading.md section=page.section sub=sub title="Merging Worksets" %}

You can merge multiple worksets to create a new workset that contains all of the items in each of the selected
worksets. To do this, go to the Worksets list, select the worksets you wish to merge, and click the "Merge" button in
the toolbar at the top of the table. In the dialog that appears, enter the details for the new workset, then click the
"Create" button.

This feature can also be used to copy an existing workset. If you only select a single workset to merge, the new
"merged" workset will contain all the same items as the selected workset.

{% include userman-toplink.md %}



{% assign sub = sub | plus: 1 %}
{% include userman-heading.md section=page.section sub=sub title="Deleting Worksets" %}

To delete worksets, go to the Worksets list, check the checkboxes next to the worksets that you wish to delete, and
click the "Delete" button in the toolbar at the top of the table.

{% include userman-toplink.md %}

