INSERT INTO TagBarcodeFamily(name, platformType) VALUES
  ('TruSight Amplicon', 'ILLUMINA'),
  ('TruSeq HT', 'ILLUMINA'),
  ('HaloPlex', 'ILLUMINA'),
  ('NEXTflex 12bp', 'ILLUMINA'),
  ('SureSelect XT', 'ILLUMINA'),
  ('TruSeq LT', 'ILLUMINA');

INSERT INTO TagBarcodes(name, sequence, position, tagFamilyId) VALUES
  ('A501', 'TGAACCTT', 2, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A502', 'TGCTAAGT', 2, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A503', 'TGTTCTCT', 2, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A504', 'TAAGACAC', 2, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A505', 'CTAATCGA', 2, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A506', 'CTAGAACA', 2, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A507', 'TAAGTTCC', 2, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A508', 'TAGACCTA', 2, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A701', 'ATCACGAC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A702', 'ACAGTGGT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A703', 'CAGATCCA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A704', 'ACAAACGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A705', 'ACCCAGCA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A706', 'AACCCCTC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A707', 'CCCAACCT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A708', 'CACCACAC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A709', 'GAAACCCA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A710', 'TGTGACCA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A711', 'AGGGTCAA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),
  ('A712', 'AGGAGTGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSight Amplicon')),

  ('D501', 'TATAGCCT', 2, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq HT')),
  ('D502', 'ATAGAGGC', 2, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq HT')),
  ('D503', 'CCTATCCT', 2, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq HT')),
  ('D504', 'GGCTCTGA', 2, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq HT')),
  ('D505', 'AGGCGAAG', 2, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq HT')),
  ('D506', 'TAATCTTA', 2, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq HT')),
  ('D701', 'ATTACTCG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq HT')),
  ('D702', 'TCCGGAGA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq HT')),
  ('D703', 'CGCTCATT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq HT')),
  ('D704', 'GAGATTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq HT')),
  ('D705', 'ATTCAGAA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq HT')),
  ('D706', 'GAATTCGT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq HT')),

  ('A01', 'CTCGGT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'HaloPlex')),
  ('A02', 'AATCGT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'HaloPlex')),
  ('A03', 'GCGCGT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'HaloPlex')),
  ('A04', 'CGAAGT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'HaloPlex')),
  ('A05', 'TATTCT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'HaloPlex')),
  ('A06', 'AGATCT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'HaloPlex')),
  ('A07', 'CAGGCT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'HaloPlex')),
  ('A08', 'TCCGCT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'HaloPlex')),
  ('A09', 'GGTCCT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'HaloPlex')),
  ('A10', 'TCGTAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'HaloPlex')),
  ('A11', 'GTCCAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'HaloPlex')),
  ('A12', 'GATTGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'HaloPlex')),

  ('Index 001', 'ATCTAGCCGGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 002', 'TATCTCTTCCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 003', 'TAGATGCCGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 004', 'CGCTCCTTCCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 005', 'CGAGCGCCGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 006', 'TCGAGAGTCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 007', 'GCTCGGCCGGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 008', 'AGCTCAGTCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 009', 'ACTGCCGCGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 010', 'TTACTTCTCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 011', 'TGACGCGCGGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 012', 'AATGATCTCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 013', 'AAGCGTACGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 014', 'TTATCAGTCCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 015', 'GTCATCGCGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 016', 'CCGTCTCTCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 017', 'TTCGCTACGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 018', 'ACGCTCTTCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 019', 'CAGTACGCGGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 020', 'GTACTGATCCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 021', 'GGATATACGGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 022', 'CATAGCTTCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 023', 'GAGGCATCGGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 024', 'ATAAGGATCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 025', 'CTCCGATCGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 026', 'TATTCGATCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 027', 'TCTTAATCGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 028', 'CGCCTGATCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 029', 'AGAATATCGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 030', 'GCGGAGATCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 031', 'CATGGCCGGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 032', 'GTCACGTACCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 033', 'TGCAACCGGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 034', 'CCTGTTGACCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 035', 'AGCCCAAGGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 036', 'GCTTGGTACCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 037', 'TCGGGAAGGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 038', 'CGAACGTACCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 039', 'GATTTAAGGGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 040', 'AGAACTGACCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 041', 'CCGCCTTGGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 042', 'TGATGCAACCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 043', 'GGCGGTTGGGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 044', 'ACTACCAACCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 045', 'AATAATTGGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 046', 'GTCGTCAACCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 047', 'AAATCTCAGGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 048', 'GTGCGCGGCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 049', 'TTTAGTCAGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 050', 'CACGCCGGCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 051', 'CCCGATCAGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 052', 'TGTATCGGCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 053', 'CTTTCAGAGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 054', 'TACCGGCGCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 055', 'GAAAGAGAGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 056', 'CTGGCTAGCCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 057', 'AGGGAAGAGGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 058', 'GACCGTAGCCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 059', 'TCCCTAGAGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 060', 'AGTTATAGCCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 061', 'GCCTCGAAGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 062', 'CGTCGCGGCCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 063', 'CGGAGGAAGGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 064', 'GCAGCCGGCCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 065', 'TAAGAGAAGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 066', 'ATGATCGGCCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 067', 'ATTCTGAAGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 068', 'TACTACGGCCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 069', 'TGGTCCTAGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 070', 'AACATTAGCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 071', 'ACCAGCTAGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 072', 'TTGTATAGCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 073', 'GTTGACTAGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 074', 'CCACGTAGCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 075', 'CAACTCTAGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 076', 'TGTGCGCGCCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 077', 'GGTACTGTGGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 078', 'AAATTAACCCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 079', 'TTGCATGTGGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 080', 'CCCGGAACCCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 081', 'AACGTTGTGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 082', 'GGGCCAACCCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 083', 'CACACCATGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 084', 'TTTGGTTCCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 085', 'GTGTGCATGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 086', 'CCCAATTCCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 087', 'TGTGTCATGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 088', 'AAACCTTCCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 089', 'ATGACGTTGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 090', 'TCCTTAACCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 091', 'CGTCAGTTGTCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 092', 'GAAGGAACCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 093', 'GCAGTGTTGGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 094', 'CTTCCAACCCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 095', 'GTATGACCAGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 096', 'CCTAAGGTTCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 097', 'TGCGTACCATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 098', 'AAGCCGGTTCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 099', 'ATAACTGCATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 100', 'GAGGGCCTTCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 101', 'TATTGTGCAGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 102', 'AGAAACCTTCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 103', 'CGCCATGCATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 104', 'TCTTTCCTTCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 105', 'GCGGTTGCATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 106', 'ATCCCAATTCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 107', 'TCGACCACAGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 108', 'CTCTTGGTTCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 109', 'AGCTGCACAGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 110', 'TCTCCGGTTCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 111', 'CTAGTCACAGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 112', 'GAGAAGGTTCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 113', 'CCGTGGTCATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 114', 'TGACCAATTCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 115', 'TTACAGTCATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 116', 'CAGTTAATTCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 117', 'AATGTGTCAGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 118', 'TTCAACCTTCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 119', 'GCTTCTCGATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 120', 'ATAATATATCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 121', 'CGAAGTCGATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 122', 'TCGGCCGATCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 123', 'TAGGATCGATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 124', 'CTAATCGATCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 125', 'ATCCTTCGATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 126', 'GATTACGATCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 127', 'TGATCAGGAGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 128', 'CCGCGGCATCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 129', 'ACTAGAGGATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 130', 'GTATATAATCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 131', 'GTCGAAGGAGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 132', 'AATATGCATCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 133', 'CAGCTAGGATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 134', 'TGCGCTAATCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 135', 'TTCAGGAGAGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 136', 'ACGTAATATCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 137', 'CCTGAGAGATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 138', 'TTACGCGATCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 139', 'GGACTGAGATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 140', 'CATGCATATCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 141', 'CTCTCCTGATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 142', 'GATCGGCATCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 143', 'GAGAGCTGAGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 144', 'ATAGCTAATCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 145', 'AGAGACTGATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 146', 'TCGATGCATCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 147', 'TCTCTCTGAGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 148', 'CGCTATAATCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 149', 'TCAGGCCAAGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 150', 'CGGACTGGTCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 151', 'CTGAACCAATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 152', 'GCCTGTGGTCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 153', 'GACTTCCAAGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 154', 'CTTCAGTGTCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 155', 'CCACCGGAATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 156', 'TGGTGACGTCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 157', 'AACAAGGAAGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 158', 'GTTGTACGTCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 159', 'TTGTTGGAATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 160', 'AAACACAGTCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 161', 'ATGGGTTAATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 162', 'GAAACCAGTCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 163', 'GCAAATTAACCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 164', 'CTTTGCAGTGGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 165', 'TTTGCGCTATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 166', 'CCACTCTCTCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 167', 'AAACGGCTATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 168', 'TGTGAAGCTCGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 169', 'GGGTAGCTATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 170', 'AACAGCTCTCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 171', 'CCCATGCTAGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 172', 'TTGTCCTCTCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 173', 'GAAGCCGTATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 174', 'CTGAGGACTCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 175', 'CTTCGCGTAGCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 176', 'GACTCGACTCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 177', 'TCCTACGTATCC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 178', 'AGTCTGACTCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 179', 'ATGGCGCGCTGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 180', 'GCCCTCTAGCAA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 181', 'CGTTAGCGCGGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 182', 'TAAAGCTAGCAA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 183', 'GCAATGCGCTGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 184', 'ATTTCCTAGCAA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 185', 'GGTGCTAGCTGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 186', 'CCCAGAGAGCAA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 187', 'TCAGCATGCTGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 188', 'AGGAGTCAGCAA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 189', 'AGTCGATGCTGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 190', 'GAAGATCAGCAA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 191', 'GACTAATGCTGG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),
  ('Index 192', 'CTTCTTCAGCAA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'NEXTflex 12bp')),

  ('Index 01', 'ATCACG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT')),
  ('Index 02', 'CGATGT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT')),
  ('Index 03', 'TTAGGC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT')),
  ('Index 04', 'TGACCA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT')),
  ('Index 05', 'ACAGTG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT')),
  ('Index 06', 'GCCAAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT')),
  ('Index 07', 'CAGATC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT')),
  ('Index 08', 'ACTTGA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT')),
  ('Index 09', 'GATCAG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT')),
  ('Index 10', 'TAGCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT')),
  ('Index 11', 'GGCTAC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT')),
  ('Index 12', 'CTTGTA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT')),
  ('Index 13', 'AAACAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT')),
  ('Index 14', 'CAAAAG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT')),
  ('Index 15', 'GAAACC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT')),
  ('Index 16', 'AAAGCA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT')),

  ('Index 01', 'ATCACGAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 02', 'CGATGTAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 03', 'TTAGGCAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 04', 'TGACCAAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 05', 'ACAGTGAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 06', 'GCCAATAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 07', 'CAGATCAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 08', 'ACTTGAAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 09', 'GATCAGAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 10', 'TAGCTTAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 11', 'GGCTACAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 12', 'CTTGTAAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 13', 'AGTCAACA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 14', 'AGTTCCGT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 15', 'ATGTCAGA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 16', 'CCGTCCCG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 18', 'GTCCGCAC', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 19', 'GTGAAACG', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 20', 'GTGGCCTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 21', 'GTTTCGGA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 22', 'CGTACGTA', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 23', 'GAGTGGAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 25', 'ACTGATAT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT')),
  ('Index 27', 'ATTCCTTT', 1, (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'TruSeq LT'));

UPDATE TagBarcodes SET sequence = 'GCCAAGAC' WHERE name = 'E01' AND tagFamilyId = (SELECT tagFamilyId FROM TagBarcodeFamily WHERE name = 'SureSelect XT2');
